## org.metaabm.impl
Class SContextImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.impl.SNamedImpl
                          org.metaabm.impl.SAttributedImpl
                              org.metaabm.impl.SActableImpl
                                  org.metaabm.impl.SAgentImpl
                                      org.metaabm.impl.SContextImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, IID, SActable, SAgent, SAttributed, SContext, SImplemented, SNamed

    public class SContextImpl

extends SAgentImpl
implements SContext

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SAgent` `findAgent(java.lang.String id)` Returns the agent with the supplied usage name.
`SAgent` `findChild(java.lang.String name)`
`org.eclipse.emf.common.util.EList<SAgent>` `getAgents()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getAllAgents()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getAllContexts()`
`java.util.List<SAgent>` `getAllSubAgents()`
`org.eclipse.emf.common.util.EList<IArtifact>` `getLibrary()`
`org.eclipse.emf.common.util.EList<SProjection>` `getProjections()`
`java.util.Collection<SContext>` `getSubContexts()`
`org.eclipse.emf.common.util.EList<SValueLayer>` `getValueLayers()`
`boolean` `references(IValue value)`

Methods inherited from class org.metaabm.impl.SAgentImpl
`basicGetParent, basicSetImplementation, basicSetOwner, eBaseStructuralFeatureID, eBasicRemoveFromContainerFeature, eDerivedStructuralFeatureID, getImplementation, getOwner, getParent, getStyles, isReachable, setImplementation, setOwner`

Methods inherited from class org.metaabm.impl.SActableImpl
`basicSetRootActivity, getRootActivity, setRootActivity`

Methods inherited from class org.metaabm.impl.SAttributedImpl
`findAttribute, getAttributes`

Methods inherited from class org.metaabm.impl.SNamedImpl
`getDescription, getPluralLabel, setDescription, setID, setPluralLabel, toString`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.SAgent
`getOwner, getStyles, setOwner`

Methods inherited from interface org.metaabm.SActable
`getRootActivity, setRootActivity`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SImplemented
`getImplementation, getParent, setImplementation`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getProjections

    public org.eclipse.emf.common.util.EList<SProjection> getProjections()

  Specified by:
    `getProjections` in interface `SContext`
  Returns:
    the value of the 'Projections' containment reference list.
  See Also:
    `MetaABMPackage.getSContext_Projections()`, `SProjection.getOwner()`

### getAgents

    public org.eclipse.emf.common.util.EList<SAgent> getAgents()

  Specified by:
    `getAgents` in interface `SContext`
  Returns:
    the value of the 'Agents' containment reference list.
  See Also:
    `MetaABMPackage.getSContext_Agents()`, `SAgent.getOwner()`

### getValueLayers

    public org.eclipse.emf.common.util.EList<SValueLayer> getValueLayers()

  Specified by:
    `getValueLayers` in interface `SContext`
  Returns:
    the value of the 'Value Layers' containment reference list.
  See Also:
    `MetaABMPackage.getSContext_ValueLayers()`

### getLibrary

    public org.eclipse.emf.common.util.EList<IArtifact> getLibrary()

  Specified by:
    `getLibrary` in interface `SContext`
  Returns:
    the value of the 'Library' containment reference list.
  See Also:
    `MetaABMPackage.getSContext_Library()`

### getSubContexts

    public java.util.Collection<SContext> getSubContexts()

  Specified by:
    `getSubContexts` in interface `SContext`

### getAllAgents

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getAllAgents()

  Specified by:
    `getAllAgents` in interface `SContext`

### getAllSubAgents

    public java.util.List<SAgent> getAllSubAgents()

  Specified by:
    `getAllSubAgents` in interface `SContext`

### getAllContexts

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getAllContexts()

  Specified by:
    `getAllContexts` in interface `SContext`

### findChild

    public SAgent findChild(java.lang.String name)

  Specified by:
    `findChild` in interface `SContext`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SAgentImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SAgentImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `SAgentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `SAgentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `SAgentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `SAgentImpl`

### findAgent

    public SAgent findAgent(java.lang.String id)

  Returns the agent with the supplied usage name.

  Specified by:
    `findAgent` in interface `SContext`

### references

    public boolean references(IValue value)

  Specified by:
    `references` in interface `SNamed`
  Overrides:
    `references` in class `SActableImpl`